Skip to main content

Job - Create

Creates a job.

If successful, the Slingshot API Server will respond with a HTTP 200 - OK status and the resulting PrePopulated Job's GUID, file id, and workorder id. If the request fails, the Slingshot API Server will return the appropriate error code.

HTTP Method and URL​

POST https://api.ravenslingshot.com/prepopulatedjobs

URL Parameters​

None

HTTP Query Parameters​

None

HTTP Headers​

To learn more about these parameters, read about Authentication.

HeaderDescription
X-SS-AccessKey[Required] Token issued to a Slingshot user from the Raven Slingshot Portal Server.
X-SS-APIKey[Required] Token issued to the Slingshot developer from Raven.
X-SS-Signature[Required] The signature generated for a specific request.
X-SS-TimeStamp[Required] The timestamp of when the request was generated.

Sample Body​

See Job Create Definition for full list of accepted and required values.

{
"job": {
"guid": "689239d8-7142-47fb-a63c-43b482a25b60",
"name": "Spring Sample",
"apiPartnerId": "2000",
"comments": "sample comment"
},
"grower":{
"guid": "53081F01-D3ED-3115-B477-D764F6F8E9C3",
"name": "Holiday Bean Co",
"externalId": "99",
"apiPartnerId": "2001",
"firstName": "Hailey",
"middleName": "Diane",
"lastName": "Bates",
"phoneNumber": "850-760-5659",
"mobileNumber": "",
"faxNumber": "",
"email": "hailey.bates86@example.com",
"address": "411 Hammer Ln",
"address2": "ATTN: Hailey Diane",
"city": "Nashville",
"county": "",
"region": "Tennessee",
"postalCode": "37011",
"country": "United States",
"comments": "Lorem ipsum dolor sit amet, consectetur adipiscing elit..."
},
"farm": {
"guid": "A46740F1-910C-5D53-82DC-8BC67F613436",
"name": "Gerold Farms",
"apiPartnerId": "2002",
"firstName": "Jose",
"middleName": "",
"lastName": "Sutton",
"phoneNumber": "426-303-7836",
"mobileNumber": "",
"faxNumber": "",
"email": "Jose.Sutton@example.com",
"address": "168 Bethal Church Rd",
"address2": "",
"city": "Townsend",
"county": "",
"region": "Tennessee",
"postalCode": "37882",
"country": "United States",
"comments": "Call after service"
},
"field": {
"guid": "A77D485F-31B5-180D-BA58-0B46C0BE3038",
"name": "Good Earth",
"apiPartnerId": "2003",
"boundaries": [{
"type": "streetmap",
"polygons": [{
"exterior": [
{"longitude": -83.7384045, "latitude": 35.6723497},
{"longitude": -83.7389302, "latitude": 35.6717919},
{"longitude": -83.7402821, "latitude": 35.6716438},
{"longitude": -83.7399387, "latitude": 35.6709988},
{"longitude": -83.7399387, "latitude": 35.6694648},
{"longitude": -83.7397027, "latitude": 35.6690987},
{"longitude": -83.7377608, "latitude": 35.6691771},
{"longitude": -83.7377179, "latitude": 35.6700226},
{"longitude": -83.7384045, "latitude": 35.6723497}
], "interior": [[
{"longitude": -83.7386928389629, "latitude": 35.67080208238795},
{"longitude": -83.7386125744858, "latitude": 35.670461564991456},
{"longitude": -83.73843420898064, "latitude": 35.67047967765507},
{"longitude": -83.73853676914608, "latitude": 35.67081657245811},
{"longitude": -83.7386928389629, "latitude": 35.67080208238795}
]]
}]
}],
"flags": [
{
"type": "center",
"coordinate": {"longitude": -83.74060143334538, "latitude": 35.66872013755476}
},
{
"type": "entrance",
"coordinate": {"longitude": -83.7414145613872, "latitude": 35.671906605986194}
},
{
"type": "entrance",
"coordinate": {"longitude": -83.741377800629, "latitude": 35.6716627361817}
}
],
"area": 2000,
"section": "SE-20-3-18",
"township": "Marion",
"county": "Clay",
"region": "Tennessee",
"comments": ""
},
"products": [
{
"productDdi": 1,
"targetRate": 1000.0,
"rxMap": {
"id": 6803,
"name": "Map 1",
"column": "rate",
"defaultRate": 1000.0,
"units": "L/ha"
},
"guid": "721959d8-1137-47fb-a63c-43b482a25b61",
"name": "Mostly Water",
"mixDdi": 1,
"apiPartnerId": "2004",
"carrier": {
"guid": "721959d8-1137-47fb-a63c-43b482a25b61",
"name": "Water",
"apiPartnerId": "2005"
},
"carrierQuantity": 100.0,
"ingredients" : [
{
"guid": "721959d8-1137-47fb-a63c-43b482a25b61",
"name": "Not Water",
"apiPartnerId": "2006",
"ddi" : 1,
"quantity" : 3.1415
}
]
}
]
}

Sample Response​

{
"fdcFileId": 777777,
"workorderId": 1111,
"guid": "39e5bcb8-6697-455d-be2f-2226e913cb55"
}

Note that the fdcFileId is used when assigning the job to a field computer and the workOrderId is used when archiving or unarchiving a job.

DDI References​

DDIDescriptionBase Unit
1Setpoint Volume Per Area(mm3/m2)
3Default Volume Per Area(mm3/m2)
6Setpoint Mass Per Area(mg/m2)
8Default Mass Per Area(mg/m2)
72Actual Volume Content(mL)
75Actual Mass Content(g)

Job Create Definition​

When creating a PrePopulated Job there are multiple pieces of information required, and even more optional data. This page will help you understand these values. Each section contains definition of a JSON object that can be included in the create message.

  • job (Required)

    • Type: Object
    • Description: Minimal required properties for a prepopulated job
    • Properties:
      • guid (Required)
        • Type: String
        • Description: Unique identifier created by client
        • Format: 00000000-0000-0000-0000-000000000000
      • name (Required)
        • Type: String
        • Description: Friendly identifier for the job
        • Max Length: 32
      • apiPartnerId (Optional)
        • Type: String
        • Description: Storage for your internal identifier for the job
        • Max Length: 36
      • comments (Optional)
        • Type: String
        • Description: Comments about the job that should be displayed to the operator
        • Max Length: 330
  • grower (Optional)

    • Type: Object
    • Description: Grower definition
    • Properties:
      • guid (Required)
        • Type: String
        • Description: Unique identifier created by client
        • Format: 00000000-0000-0000-0000-000000000000
      • name (Required)
        • Type: String
        • Description: Friendly identifier for the grower
        • Max Length: 32
      • externalId (Optional)
        • Type: String
        • Description: Additional free-format identifier for the grower
        • Max Length: 32
      • apiPartnerId (Optional)
        • Type: String
        • Description: Storage for your internal identifier for the grower
        • Max Length: 36
      • firstName (Optional)
        • Type: String
        • Description: first name
        • Max Length: 32
      • middleName (Optional)
        • Type: String
        • Description: middle name
        • Max Length: 32
      • lastName (Optional)
        • Type: String
        • Description: last name
        • Max Length: 32
      • phoneNumber (Optional)
        • Type: String
        • Description: primary phone number
        • Max Length: 20
      • mobileNumber (Optional)
        • Type: String
        • Description: mobile phone number
        • Max Length: 20
      • faxNumber (Optional)
        • Type: String
        • Description: fax number
        • Max Length: 20
      • email (Optional)
        • Type: String
        • Description: email
        • Max Length: 64
      • address (Optional)
        • Type: String
        • Description: street address
        • Max Length: 32
      • address2 (Optional)
        • Type: String
        • Description: Additional address info (Apt, PO Box, etc)
        • Max Length: 32
      • city (Optional)
        • Type: String
        • Description: city
        • Max Length: 32
      • county (Optional)
        • Type: String
        • Description: county
        • Max Length: 32
      • region (Optional)
        • Type: String
        • Description: state or province
        • Max Length: 32
      • postalCode (Optional)
        • Type: String
        • Description: postal code or zip code
        • Max Length: 10
      • country (Optional)
        • Type: String
        • Description: country
        • Max Length: 32
      • comments (Optional)
        • Type: String
        • Description: comments
  • farm (Optional - If included must also include "grower")

    • Type: Object
    • Description: Farm definition
    • Properties:
      • guid (Required)
        • Type: String
        • Description: Unique identifier created by client
        • Format: 00000000-0000-0000-0000-000000000000
      • name (Required)
        • Type: String
        • Description: Friendly identifier for the grower
        • Max Length: 32
      • apiPartnerId (Optional)
        • Type: String
        • Description: Storage for your internal identifier for the farm
        • Max Length: 36
      • firstName (Optional)
        • Type: String
        • Description: first name
        • Max Length: 32
      • middleName (Optional)
        • Type: String
        • Description: middle name
        • Max Length: 32
      • lastName (Optional)
        • Type: String
        • Description: last name
        • Max Length: 32
      • phoneNumber (Optional)
        • Type: String
        • Description: primary phone number
        • Max Length: 20
      • mobileNumber (Optional)
        • Type: String
        • Description: mobile phone number
        • Max Length: 20
      • faxNumber (Optional)
        • Type: String
        • Description: fax number
        • Max Length: 20
      • email (Optional)
        • Type: String
        • Description: email
        • Max Length: 64
      • address (Optional)
        • Type: String
        • Description: street address
        • Max Length: 32
      • address2 (Optional)
        • Type: String
        • Description: Additional address info (Apt, PO Box, etc)
        • Max Length: 32
      • city (Optional)
        • Type: String
        • Description: city
        • Max Length: 32
      • county (Optional)
        • Type: String
        • Description: county
        • Max Length: 32
      • region (Optional)
        • Type: String
        • Description: state or province
        • Max Length: 32
      • postalCode (Optional)
        • Type: String
        • Description: postal code or zip code
        • Max Length: 10
      • country (Optional)
        • Type: String
        • Description: country
        • Max Length: 32
      • comments (Optional)
        • Type: String
        • Description: comments
  • field (Optional - If included must also include "farm" and "grower")

    • Type: Object
    • Description: Field definition
    • Properties:
      • guid (Required)
        • Type: String
        • Description: Unique identifier created by client
        • Format: 00000000-0000-0000-0000-000000000000
      • name (Required)
        • Type: String
        • Description: Friendly identifier for the field
        • Max Length: 32
      • apiPartnerId (Optional)
        • Type: String
        • Description: Storage for your internal identifier for the field
        • Max Length: 36
      • flags (Optional)
        • Type: Array
        • Description: Array of "flag" objects
      • boundaries (Optional)
        • Type: Array
        • Description: Array of "boundary" objects
        • Limits: one boundary per field
      • area (Optional)
        • Type: Float
        • Description: Size of field in square meters
        • Minimum Value: 1000
      • section (Optional)
        • Type: String
        • Description: Land Survey Section
        • Max Length: 32
      • township (Optional)
        • Type: String
        • Description: township
        • Max Length: 32
      • county (Optional)
        • Type: String
        • Description: county
        • Max Length: 32
      • region (Optional)
        • Type: String
        • Description: state or province
        • Max Length: 32
      • comments (Optional)
        • Type: String
        • Description: comments
  • products (Optional)

    • Type: Array of "product" objects
    • Description: product lines
    • Max Length: 10
  • product

    • Type: Object
    • Description: A single application product line and mix information
    • Properties:
      • productDdi (Required)

        • Type: integer

        • Description: DDI indicating the product type and application mode. SETPOINT is used for single target rate application. DEFAULT is used in conjunction with an rx map and defines the rate to be used outside of the map

        • Accepted Values:

          DDIDescriptionBase Unit
          1Setpoint Volume Per Area(mm3/m2)
          3Default Volume Per Area(mm3/m2)
          6Setpoint Mass Per Area(mg/m2)
          8Default Mass Per Area(mg/m2)
      • targetRate (Required)

        • Type: float
        • Description: assigned product rate where base unit is defined by the "productDdi".
      • rxMap (Optional)

        • Type: Object
        • Description: Reference to an uploaded file and usage information
        • Properties:
          • id (Required)
            • Type: Integer
            • Description: id of the rx map that the file transfer server returned when the file was uploaded.
          • column (Required)
            • Type: String
            • Description: identifier of column in the rx map to be used with this product
            • Max Length: 32
          • defaultRate (Optional)
            • Type: Float
            • Description: rate to be used outside of the map. Overrides "targetRate". If unspecified, "targetRate" will be used.
          • units (Required)
            • Type: String

            • Description: Unit the map column was specified in. Must be specified so correct application rate is used. Use the abbreviation, the full text is provided for clarification.

            • Accepted Volume Units:

              AbbreviationDescription
              mL/hamilliliters/hectare
              mm3/m2microliters/square meter
              L/haliters/hectare
              mL/m2milliliters/square meter
              fl oz/acfluid ounces/acre
              pt/acliquid pints/acre
              gal/acgallons/acre
              fl oz/1000 ft2fluid ounces/1000 square feet
              pt/1000 ft2liquid pints/1000 square feet
              gal/1000 ft2gallons/1000 square feet
            • Accepted Mass Units:

              AbbreviationDescription
              g/hagrams/hectare
              mg/m2milligram/square meter
              kg/hakilograms/hectare
              oz/acounces/acre
              lb/acpounds/acre
              oz/1000 ft2ounces/1000 square feet
              lb/1000 ft2pounds/1000 square feet
      • mixDdi (Required)

        • Type: integer

        • Description: DDI indicating the overall mix type and setup format. Mixes can be defined in terms of rate (SETPOINT) or phsyical amounts (ACTUAL). Mixes are a recipe, whereas product is the application of the recipe. If a mix is granular, the product DDI should be mass per area, while if the mix is liquid, the product DDI should be volume per area.

        • Accepted Values:

          DDIDescriptionBase Unit
          1Setpoint Volume Per Area(mm3/m2)
          6Setpoint Mass Per Area(mg/m2)
          72Actual Volume Content(mL)
          75Actual Mass Content(g)
      • guid (Required)

        • Type: String
        • Description: Unique identifier created by client for the mix
        • Format: 00000000-0000-0000-0000-000000000000
      • name (Required)

        • Type: String
        • Description: Friendly identifier for the mix
        • Max Length: 32
      • apiPartnerId (Optional)

        • Type: String
        • Description: Storage for your internal identifier for the mix
        • Max Length: 36
      • carrier (Optional - If included mix must be a liquid and "carrierQuantity" must also be defined)

        • Type: Object
        • Description: mix carrier
        • Properties:
          • guid (Required)
            • Type: String
            • Description: Unique identifier created by client for the carrier
            • Format: 00000000-0000-0000-0000-000000000000
          • name (Required)
            • Type: String
            • Description: Friendly identifier for the carrier
            • Max Length: 32
          • apiPartnerId (Optional)
            • Type: String
            • Description: Storage for your internal identifier for the carrier
            • Max Length: 36
      • carrierQuantity (Optional - If included must also define related "carrier" object)

        • Type: float
        • Description: carrier measurement where base unit is defined by the "mixDdi"
        • Max Length: 32
      • ingredients (Optional)

        • Type: Array of "ingredient" objects
        • Description: mix ingredients
  • ingredient

    • Type: Object
    • Description: A single mix ingredient line and ingredient information
    • Properties:
      • guid (Required)

        • Type: String
        • Description: Unique identifier created by client for the ingredient
        • Format: 00000000-0000-0000-0000-000000000000
      • name (Required)

        • Type: String
        • Description: Friendly identifier for the ingredient
        • Max Length: 32
      • apiPartnerId (Optional)

        • Type: String
        • Description: Storage for your internal identifier for the ingredient
        • Max Length: 36
      • ddi (Required)

        • Type: integer

        • Description: DDI indicating the ingredient type. Select the appropriate DDI to match quantity definition. Should match parent mix in terms of SETPOINT or ACTUAL DDIs (mixing mass and volume in a mix is acceptable).

        • Accepted Values:

          DDIDescriptionBase Unit
          1Setpoint Volume Per Area(mm3/m2)
          6Setpoint Mass Per Area(mg/m2)
          72Actual Volume Content(mL)
          75Actual Mass Content(g)
      • quantity (Required)

        • Type: float
        • Description: ingredient measurement where base unit is defined by the ingredient's "ddi"
      • typeId (Optional)

        • Type: String
        • Description: Ingredient type
        • Max Length: 32
        • Valid Options:
          • Fertilizer
          • Herbicide
          • Insecticide
          • Growth Regulator
          • Seed Treatment
          • N Stabilizer
          • Additive
      • manufacturer (Optional)

        • Type: String
        • Description: Ingredient manufacturer
        • Max Length: 32
      • registration (Optional)

        • Type: String
        • Description: Ingredient registration
        • Max Length: 32
      • note (Optional)

        • Type: String
        • Description: Ingredient notes or additional description
        • Max Length: 330
      • composition (Optional)

        • Type: String
        • Description: Ingredient composition
        • Max Length: 330
  • boundary

    • Type: Object
    • Description: A set of one or more polygons used to describe the field shape
    • Properties:
      • type (Required)
        • Type: string
        • Description: Notes what kind of boundary this instance is and its capabilities
        • Options:
          • streetmap: marks field location on the map view and shows general field shape, does not affect section control
      • polygons (Required)
        • Type: Array
        • Description: Array of "polygon" objects that form boundary(s) of the field
        • Requirements: Minimum of 1 polygon
      • exterior (Required)
        • Type: Array
        • Description: Array of "coordinate" objects that form the outer edge of the field
        • Requirements: Minimum of 4 positions, with initial and final positions matching
        • NOTE: Previously the boundary did not have a "polygons" property and instead supported only a single "exterior" array of coordinates per boundary. The API is backwards compatible with this format, but going forward should be moved to the above format.
  • flag

    • Type: Object
    • Description: A position of note such as a field entrance
    • Properties:
      • type (Required)
        • Type: string
        • Description: Notes what kind of flag this instance is
        • Options:
          • center: marks field location. Only one is allowed per field
          • entrance: field entrance. a field may have more than one entrance
      • coordinate (Required)
        • Type: Object
        • Description: A single "coordinate" object
  • polygon

    • Type: Object
    • Description: Linear ring that describe a field (or a distinct portion of a field)'s shape
    • Properties:
      • exterior (Required)
        • Type: Array
        • Description: Array of "coordinate" objects that form the outer edge of the field (section)
        • Requirements: Minimum of 4 positions, with initial and final positions matching
      • interior (Optional)
        • Type: Array
        • Description: Array of Array of "coordinate" objects that form the outer edge of the field. Note unlike the exterior property, multiple interior properties are allowed so this property is an array of arrays of coordinate objects.
        • Requirements: Each element requires 4 positions, with initial and final positions matching
  • coordinate

    • Type: Object
    • Description: A single WGS 84 position coordinate
    • Properties:
      • longitude (Required)
        • Type: Double
      • latitude (Required)
        • Type: Double